For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create store cash reconciliation

Create new cash reconciliation for store

Required permissions: TILL_OPERATION

post
/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body
storeCashReconciliationUidstringOptionalPattern: ^[A-Za-z0-9-_]*
reconciliationDatestring · dateRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
depositAmountintegerOptional
statusstring · enumOptionalPossible values:
notestringOptional
Responses
201

Example response

application/json
storeCashReconciliationUidstringRequiredPattern: ^[A-Za-z0-9-_]+
reconciliationDatestring · dateRequired
balanceintegerRequired
depositAmountintegerRequired
statusstring · enumRequiredPossible values:
notestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tenantUserDisplayNamestringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
post/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations
POST /v2/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 324

{
  "storeCashReconciliationUid": "text",
  "reconciliationDate": "2026-01-01",
  "tenantUserUid": "text",
  "depositAmount": 1,
  "status": "IN_PROGRESS",
  "note": "text",
  "cashReports": [
    {
      "tillUid": "text",
      "cashReportUid": "text"
    }
  ],
  "review": {
    "tenantUserUid": "text",
    "reviewedAt": "2026-01-01T00:00:00.000Z",
    "approved": true,
    "note": "text",
    "pin": "text"
  }
}
201

Example response

{
  "storeCashReconciliationUid": "text",
  "reconciliationDate": "2026-01-01",
  "balance": 1,
  "depositAmount": 1,
  "deposits": [
    {
      "cashDepositUid": "text",
      "depositNumber": "text",
      "amount": 1,
      "depositedAt": "2026-01-01T00:00:00.000Z",
      "denominations": [
        {
          "currencyCode": "text",
          "denomination": 1,
          "material": "COIN",
          "quantityCounted": 1,
          "amount": 1
        }
      ],
      "reconciliations": [
        {
          "storeCashReconciliationUid": "text",
          "reconciliationDate": "2026-01-01",
          "depositAmount": 1,
          "status": "IN_PROGRESS"
        }
      ]
    }
  ],
  "status": "IN_PROGRESS",
  "note": "text",
  "tenantUserUid": "text",
  "tenantUserDisplayName": "text",
  "review": {
    "reviewedAt": "2026-01-01T00:00:00.000Z",
    "approved": true,
    "note": "text",
    "tenantUserUid": "text",
    "tenantUserDisplayName": "text"
  },
  "cashReports": [
    {
      "tillUid": "text",
      "tillName": "text",
      "tillNumber": 1,
      "bankdepositAmount": 1,
      "bankdepositReference": "text",
      "cashDifferenceAmount": 1,
      "cashRevenueAmount": 1,
      "cashreportUid": "text",
      "changeAmount": 1,
      "closedAt": "2026-01-01T00:00:00.000Z",
      "closedByDisplayName": "text",
      "comment": "text",
      "countedAmount": 1,
      "openAt": "2026-01-01T00:00:00.000Z",
      "openByDisplayName": "text",
      "status": "OPEN",
      "withdrawalAmount": 1,
      "cashDetailsAtOpen": [
        {
          "currencyCode": "text",
          "denomination": 1,
          "material": "COIN",
          "quantityCounted": 1,
          "amount": 1
        }
      ],
      "cashDetailsAtClose": [
        {
          "currencyCode": "text",
          "denomination": 1,
          "material": "COIN",
          "quantityCounted": 1,
          "amount": 1
        }
      ],
      "zReport": {
        "id": "text",
        "tillUid": "text",
        "source": "STORED",
        "sequenceNumber": 1,
        "date": "2026-01-01",
        "periodFrom": "2026-01-01T00:00:00.000Z",
        "periodTo": "2026-01-01T00:00:00.000Z",
        "producedAt": "2026-01-01T00:00:00.000Z",
        "producedBy": "TILL_CLOSE",
        "receiptCount": 1,
        "totalSales": 1,
        "returnCount": 1,
        "returnAmount": 1,
        "grandTotalSales": 1,
        "grandTotalReturn": 1,
        "grandTotalNet": 1
      }
    }
  ],
  "zReports": [
    {
      "id": "text",
      "tillUid": "text",
      "source": "STORED",
      "sequenceNumber": 1,
      "date": "2026-01-01",
      "periodFrom": "2026-01-01T00:00:00.000Z",
      "periodTo": "2026-01-01T00:00:00.000Z",
      "producedAt": "2026-01-01T00:00:00.000Z",
      "producedBy": "TILL_CLOSE",
      "receiptCount": 1,
      "totalSales": 1,
      "returnCount": 1,
      "returnAmount": 1,
      "grandTotalSales": 1,
      "grandTotalReturn": 1,
      "grandTotalNet": 1
    }
  ],
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?